com.google.gwt.uibinder.elementparsers

## Class IsRenderableInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.IsRenderableInterpreter

- All Implemented Interfaces:
    com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

      class IsRenderableInterpreter
      extends java.lang.Object
      implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

  Used by `RenderablePanelParser` to interpret renderable elements. Declares the appropriate `IsRenderable`, and returns the correct HTML to be inlined in the `RenderablePanel`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsRenderableInterpreter(java.lang.String fieldName, com.google.gwt.uibinder.rebind.UiBinderWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsRenderableInterpreter

          public IsRenderableInterpreter(java.lang.String fieldName,
                                         com.google.gwt.uibinder.rebind.UiBinderWriter writer)

  - ### Method Detail

    - #### interpretElement

          public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                            throws UnableToCompleteException

      Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
      Given an XMLElement, return its filtered value.
      Specified by:
        `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
      Throws:
        `UnableToCompleteException` - on error